Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RoleClassIngredientEntityMember1

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RoleClassIngredientEntityMember1

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RoleClassIngredientEntityMember1

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Role Class Ingredient Entity Member1', and utility methods for working with them.

See Also:
  `CDAR2Package.getRoleClassIngredientEntityMember1()`

Field Summary
`static int` | `ACTI` The 'ACTI' literal value.
`static RoleClassIngredientEntityMember1` | `ACTI_LITERAL` The 'ACTI' literal object.
`static int` | `ACTM` The 'ACTM' literal value.
`static RoleClassIngredientEntityMember1` | `ACTM_LITERAL` The 'ACTM' literal object.
`static int` | `ADTV` The 'ADTV' literal value.
`static RoleClassIngredientEntityMember1` | `ADTV_LITERAL` The 'ADTV' literal object.
`static int` | `BASE` The 'BASE' literal value.
`static RoleClassIngredientEntityMember1` | `BASE_LITERAL` The 'BASE' literal object.
`static int` | `INGR` The 'INGR' literal value.
`static RoleClassIngredientEntityMember1` | `INGR_LITERAL` The 'INGR' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Role Class Ingredient Entity Member1' enumerators.

Method Summary
`static RoleClassIngredientEntityMember1` | `get(int value)` Returns the 'Role Class Ingredient Entity Member1' literal with the specified integer value.
`static RoleClassIngredientEntityMember1` | `get(java.lang.String literal)` Returns the 'Role Class Ingredient Entity Member1' literal with the specified literal value.
`static RoleClassIngredientEntityMember1` | `getByName(java.lang.String name)` Returns the 'Role Class Ingredient Entity Member1' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INGR

    public static final int INGR

  The 'INGR' literal value.

  If the meaning of 'INGR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INGR_LITERAL`, Constant Field Values

### ACTI

    public static final int ACTI

  The 'ACTI' literal value.

  If the meaning of 'ACTI' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACTI_LITERAL`, Constant Field Values

### ACTM

    public static final int ACTM

  The 'ACTM' literal value.

  If the meaning of 'ACTM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACTM_LITERAL`, Constant Field Values

### ADTV

    public static final int ADTV

  The 'ADTV' literal value.

  If the meaning of 'ADTV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ADTV_LITERAL`, Constant Field Values

### BASE

    public static final int BASE

  The 'BASE' literal value.

  If the meaning of 'BASE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BASE_LITERAL`, Constant Field Values

### INGR_LITERAL

    public static final RoleClassIngredientEntityMember1 INGR_LITERAL

  The 'INGR' literal object.

  See Also:
    `INGR`

### ACTI_LITERAL

    public static final RoleClassIngredientEntityMember1 ACTI_LITERAL

  The 'ACTI' literal object.

  See Also:
    `ACTI`

### ACTM_LITERAL

    public static final RoleClassIngredientEntityMember1 ACTM_LITERAL

  The 'ACTM' literal object.

  See Also:
    `ACTM`

### ADTV_LITERAL

    public static final RoleClassIngredientEntityMember1 ADTV_LITERAL

  The 'ADTV' literal object.

  See Also:
    `ADTV`

### BASE_LITERAL

    public static final RoleClassIngredientEntityMember1 BASE_LITERAL

  The 'BASE' literal object.

  See Also:
    `BASE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Role Class Ingredient Entity Member1' enumerators.

Method Detail

### get

    public static RoleClassIngredientEntityMember1 get(java.lang.String literal)

  Returns the 'Role Class Ingredient Entity Member1' literal with the specified literal value.

### getByName

    public static RoleClassIngredientEntityMember1 getByName(java.lang.String name)

  Returns the 'Role Class Ingredient Entity Member1' literal with the specified name.

### get

    public static RoleClassIngredientEntityMember1 get(int value)

  Returns the 'Role Class Ingredient Entity Member1' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD